Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getLiveToolsWakeOnLan({
serial: "string",
wakeOnLanId: "string",
});
export const merakiDevicesLiveToolsWakeOnLanExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_live_tools_wake_on_lan(serial="string",
wake_on_lan_id="string")
pulumi.export("merakiDevicesLiveToolsWakeOnLanExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupLiveToolsWakeOnLan(ctx, &devices.LookupLiveToolsWakeOnLanArgs{
Serial: "string",
WakeOnLanId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesLiveToolsWakeOnLanExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetLiveToolsWakeOnLan.Invoke(new()
{
Serial = "string",
WakeOnLanId = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesLiveToolsWakeOnLanExample"] = example.Apply(getLiveToolsWakeOnLanResult => getLiveToolsWakeOnLanResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetLiveToolsWakeOnLanArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getLiveToolsWakeOnLan(GetLiveToolsWakeOnLanArgs.builder()
.serial("string")
.wakeOnLanId("string")
.build());
ctx.export("merakiDevicesLiveToolsWakeOnLanExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getLiveToolsWakeOnLan
arguments:
serial: string
wakeOnLanId: string
outputs:
merakiDevicesLiveToolsWakeOnLanExample: ${example.item}
Using getLiveToolsWakeOnLan
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLiveToolsWakeOnLan(args: GetLiveToolsWakeOnLanArgs, opts?: InvokeOptions): Promise<GetLiveToolsWakeOnLanResult>
function getLiveToolsWakeOnLanOutput(args: GetLiveToolsWakeOnLanOutputArgs, opts?: InvokeOptions): Output<GetLiveToolsWakeOnLanResult>def get_live_tools_wake_on_lan(serial: Optional[str] = None,
wake_on_lan_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLiveToolsWakeOnLanResult
def get_live_tools_wake_on_lan_output(serial: Optional[pulumi.Input[str]] = None,
wake_on_lan_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLiveToolsWakeOnLanResult]func LookupLiveToolsWakeOnLan(ctx *Context, args *LookupLiveToolsWakeOnLanArgs, opts ...InvokeOption) (*LookupLiveToolsWakeOnLanResult, error)
func LookupLiveToolsWakeOnLanOutput(ctx *Context, args *LookupLiveToolsWakeOnLanOutputArgs, opts ...InvokeOption) LookupLiveToolsWakeOnLanResultOutput> Note: This function is named LookupLiveToolsWakeOnLan in the Go SDK.
public static class GetLiveToolsWakeOnLan
{
public static Task<GetLiveToolsWakeOnLanResult> InvokeAsync(GetLiveToolsWakeOnLanArgs args, InvokeOptions? opts = null)
public static Output<GetLiveToolsWakeOnLanResult> Invoke(GetLiveToolsWakeOnLanInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLiveToolsWakeOnLanResult> getLiveToolsWakeOnLan(GetLiveToolsWakeOnLanArgs args, InvokeOptions options)
public static Output<GetLiveToolsWakeOnLanResult> getLiveToolsWakeOnLan(GetLiveToolsWakeOnLanArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getLiveToolsWakeOnLan:getLiveToolsWakeOnLan
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Wake
On stringLan Id - wakeOnLanId path parameter. Wake on lan ID
- Serial string
- serial path parameter.
- Wake
On stringLan Id - wakeOnLanId path parameter. Wake on lan ID
- serial String
- serial path parameter.
- wake
On StringLan Id - wakeOnLanId path parameter. Wake on lan ID
- serial string
- serial path parameter.
- wake
On stringLan Id - wakeOnLanId path parameter. Wake on lan ID
- serial str
- serial path parameter.
- wake_
on_ strlan_ id - wakeOnLanId path parameter. Wake on lan ID
- serial String
- serial path parameter.
- wake
On StringLan Id - wakeOnLanId path parameter. Wake on lan ID
getLiveToolsWakeOnLan Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Live Tools Wake On Lan Item - Serial string
- serial path parameter.
- Wake
On stringLan Id - wakeOnLanId path parameter. Wake on lan ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Live Tools Wake On Lan Item - Serial string
- serial path parameter.
- Wake
On stringLan Id - wakeOnLanId path parameter. Wake on lan ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Wake On Lan Item - serial String
- serial path parameter.
- wake
On StringLan Id - wakeOnLanId path parameter. Wake on lan ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Wake On Lan Item - serial string
- serial path parameter.
- wake
On stringLan Id - wakeOnLanId path parameter. Wake on lan ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Wake On Lan Item - serial str
- serial path parameter.
- wake_
on_ strlan_ id - wakeOnLanId path parameter. Wake on lan ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
- wake
On StringLan Id - wakeOnLanId path parameter. Wake on lan ID
Supporting Types
GetLiveToolsWakeOnLanItem
- Error string
- An error message for a failed execution
- Request
Get
Live Tools Wake On Lan Item Request - The parameters of the Wake-on-LAN request
- Status string
- Status of the Wake-on-LAN request
- Url string
- GET this url to check the status of your ping request
- Wake
On stringLan Id - ID of the Wake-on-LAN job
- Error string
- An error message for a failed execution
- Request
Get
Live Tools Wake On Lan Item Request - The parameters of the Wake-on-LAN request
- Status string
- Status of the Wake-on-LAN request
- Url string
- GET this url to check the status of your ping request
- Wake
On stringLan Id - ID of the Wake-on-LAN job
- error String
- An error message for a failed execution
- request
Get
Live Tools Wake On Lan Item Request - The parameters of the Wake-on-LAN request
- status String
- Status of the Wake-on-LAN request
- url String
- GET this url to check the status of your ping request
- wake
On StringLan Id - ID of the Wake-on-LAN job
- error string
- An error message for a failed execution
- request
Get
Live Tools Wake On Lan Item Request - The parameters of the Wake-on-LAN request
- status string
- Status of the Wake-on-LAN request
- url string
- GET this url to check the status of your ping request
- wake
On stringLan Id - ID of the Wake-on-LAN job
- error str
- An error message for a failed execution
- request
Get
Live Tools Wake On Lan Item Request - The parameters of the Wake-on-LAN request
- status str
- Status of the Wake-on-LAN request
- url str
- GET this url to check the status of your ping request
- wake_
on_ strlan_ id - ID of the Wake-on-LAN job
- error String
- An error message for a failed execution
- request Property Map
- The parameters of the Wake-on-LAN request
- status String
- Status of the Wake-on-LAN request
- url String
- GET this url to check the status of your ping request
- wake
On StringLan Id - ID of the Wake-on-LAN job
GetLiveToolsWakeOnLanItemRequest
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
